dnl Usage:
dnl AC_GLITE_CE_WSDL
dnl - GLITE_CREAM_WSDL
dnl - GLITE_CREAM_WSDL_DEPS

AC_DEFUN([AC_GLITE_CE_WSDL],
[

    AC_ARG_WITH(glite_location,
        [  --with-glite-location=PFX     prefix where GLITE is installed. (/opt/glite)],
        [],
        with_glite_location=/opt/glite)

    AC_ARG_WITH(ce_wsdl_version,
        [  --with-ce-wsdl-version=version    version of the wsdl file set],
        [],
        with_ce_wsdl_version)

    AC_ARG_WITH(delegation_wsdl_version,
        [  --with-delegation-wsdl-version=version  version of the delegation wsdl (2.0.0)],
        [],
        with_delegation_wsdl_version=2.0.0)

    AC_MSG_RESULT([WSDL VERSION: $with_ce_wsdl_version])
    AC_MSG_RESULT([DELEGATION VERSION: $with_delegation_wsdl_version])

    GLITE_CREAM_WSDL=$with_glite_location/share/wsdl/org.glite.ce-cream2_service-$with_ce_wsdl_version.wsdl
    GLITE_CREAM_WSDL_DEPS="$GLITE_CREAM_WSDL \
                           $with_glite_location/share/wsdl/org.glite.ce-cream_faults-$with_ce_wsdl_version.wsdl \
                           $with_glite_location/share/wsdl/org.glite.ce-cream_types-$with_ce_wsdl_version.wsdl \
                           $with_glite_location/share/wsdl/org.glite.ce-faults-$with_ce_wsdl_version.xsd \
                           $with_glite_location/share/wsdl/www.gridsite.org-delegation-$with_delegation_wsdl_version.wsdl"

    AC_SUBST(GLITE_CREAM_WSDL)
    AC_SUBST(GLITE_CREAM_WSDL_DEPS)
])


